SequenceFilter (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.sequenceChooser
Class SequenceFilter

    java.lang.Object
      |
      +--javax.swing.filechooser.FileFilter
            |
            +--org.emboss.jemboss.gui.sequenceChooser.SequenceFilter

public class SequenceFilter
extends javax.swing.filechooser.FileFilter

Field Summary
`static java.lang.String` | `embl`
`static java.lang.String` | `fasta`
`static java.lang.String` | `gcg`
`static java.lang.String` | `msf`
`static java.lang.String` | `swiss`

Constructor Summary
`SequenceFilter()`

Method Summary
`boolean` | `accept(java.io.File f)` Accept all directories and all sequence files (*.fasta, *.msf, *.gcg, *.embl, *.swiss)
`java.lang.String` | `getDescription()`
`static java.lang.String` | `getExtension(java.io.File f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fasta

    public static final java.lang.String fasta

See Also:
  Constant Field Values

### msf

    public static final java.lang.String msf

See Also:
  Constant Field Values

### gcg

    public static final java.lang.String gcg

See Also:
  Constant Field Values

### embl

    public static final java.lang.String embl

See Also:
  Constant Field Values

### swiss

    public static final java.lang.String swiss

See Also:
  Constant Field Values

Constructor Detail

### SequenceFilter

    public SequenceFilter()

Method Detail

### accept

    public boolean accept(java.io.File f)

  Accept all directories and all sequence files (*.fasta, *.msf, *.gcg, *.embl, *.swiss)

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  Returns:
    The description of this filter

### getExtension

    public static java.lang.String getExtension(java.io.File f)

  Returns:
    Get the extension of a file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD